Resource structures
Public interface » ID macros

definitions for the various resource types More...

## Data Structures

struct | res_any_t
struct | res_mem_t
struct | res_phys_mem_t
struct | res_io_t
struct | res_irq_t
struct | res_dma_t
struct | res_size_t
struct | res_baud_t
struct | res_cache_t
struct | res_disk_geo_t
struct | res_monitor_t
struct | res_init_strings_t
struct | res_pppd_option_t
struct | res_framebuffer_t
struct | res_hwaddr_t
struct | res_link_t
struct | res_wlan_t
| wlan capabilities More...
struct | res_fc_t
union | u_hd_res_t
| libhd resource union More...

## Typedefs

typedef union u_hd_res_t | hd_res_t
| libhd resource union

## Detailed Description

definitions for the various resource types

## Typedef Documentation

## hd_res_t

typedef union u_hd_res_t hd_res_t

libhd resource union